summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-11 18:41:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-12 16:02:26 +0700
commit279ee7a305a6996a395bbc66ca22b159a4941d8f (patch)
treeee674b478739b95175d3b07d974b3c00187d7cd1 /libraries
parent20ea4e193df564e335132b30d9304fd7f058c9b8 (diff)
downloadslackbuilds-279ee7a305a6996a395bbc66ca22b159a4941d8f.tar.gz
slackbuilds-279ee7a305a6996a395bbc66ca22b159a4941d8f.tar.xz
libraries/libesmtp: Updated for version 1.0.6.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libesmtp/libesmtp.SlackBuild27
-rw-r--r--libraries/libesmtp/libesmtp.info8
-rw-r--r--libraries/libesmtp/slack-desc2
3 files changed, 19 insertions, 18 deletions
diff --git a/libraries/libesmtp/libesmtp.SlackBuild b/libraries/libesmtp/libesmtp.SlackBuild
index 4c69a2349c..a9aeedaa42 100644
--- a/libraries/libesmtp/libesmtp.SlackBuild
+++ b/libraries/libesmtp/libesmtp.SlackBuild
@@ -7,13 +7,13 @@
# Modified by the SlackBuilds.org project
PRGNAM=libesmtp
-VERSION=${VERSION:-1.0.4}
+VERSION=${VERSION:-1.0.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -26,8 +26,8 @@ OUTPUT=${OUTPUT:-/tmp}
DOCS="AUTHORS ChangeLog COPYING* INSTALL NEWS Notes README TODO examples"
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -40,31 +40,32 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --enable-static=no \
- || exit 1
+ --enable-static=no
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/libraries/libesmtp/libesmtp.info b/libraries/libesmtp/libesmtp.info
index 888d312984..9dae09cb14 100644
--- a/libraries/libesmtp/libesmtp.info
+++ b/libraries/libesmtp/libesmtp.info
@@ -1,8 +1,8 @@
PRGNAM="libesmtp"
-VERSION="1.0.4"
-HOMEPAGE="http://www.stafford.uklinux.net/libesmtp/"
-DOWNLOAD="http://www.stafford.uklinux.net/libesmtp/libesmtp-1.0.4.tar.bz2"
-MD5SUM="8b4e8a794adc46268f0c6a0b3fb79486"
+VERSION="1.0.6"
+HOMEPAGE="http://freecode.com/projects/libesmtp/"
+DOWNLOAD="https://ftp.osuosl.org/pub/blfs/svn/l/libesmtp-1.0.6.tar.bz2"
+MD5SUM="bf3915e627fd8f35524a8fdfeed979c8"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/libraries/libesmtp/slack-desc b/libraries/libesmtp/slack-desc
index 58369e25e3..2a73b763c6 100644
--- a/libraries/libesmtp/slack-desc
+++ b/libraries/libesmtp/slack-desc
@@ -15,5 +15,5 @@ libesmtp: (MUA) or another program that must be able to post electronic mail
libesmtp: but where mail functionality is not the program's primary purpose.
libesmtp: LibESMTP is not intended to be used as part of a program that
libesmtp: implements a Mail Transport Agent.
-libesmtp: Homepage: http://www.stafford.uklinux.net/libesmtp/
+libesmtp: Homepage: http://freecode.com/projects/libesmtp/
libesmtp: